Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/Makefile.in	(revision 4392)
@@ -433,7 +433,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/Makefile
+	  $(AUTOMAKE) --gnu  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/Makefile.in	(revision 4392)
@@ -184,7 +184,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4392)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4392)
@@ -181,7 +181,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/gui/Makefile.in	(revision 4392)
@@ -179,7 +179,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/gui/console/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 4392)
@@ -205,7 +205,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/gui/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 4392)
@@ -242,7 +242,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/physics/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/physics/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/physics/Makefile.in	(revision 4392)
@@ -218,7 +218,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/physics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/physics/physics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4391)
+++ orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4392)
@@ -33,4 +33,5 @@
 
    this->connections = new tList<PhysicsConnection>;
+   this->interfaces = new tList<PhysicsInterface>;
 }
 
@@ -57,4 +58,27 @@
 {
   PhysicsEngine::singletonRef = NULL;
+}
+
+
+/**
+   \brief adds a PhysicsInterface to the list of handeled physicsInterfaces
+   \param physicsInterface the interface to add
+
+   this is normally done in the constructor of any PhysicsInterface
+*/
+void PhysicsEngine::addPhysicsInterface(PhysicsInterface* physicsInterface)
+{
+  this->interfaces->add(physicsInterface);
+}
+
+/**
+   \brief removes a PhysicsInterface from the list of handeled physicsInterfaces
+   \param physicsInterface the interface to remove
+
+   this is normally done in the destructor of any PhysicsInterface
+*/
+void PhysicsEngine::removePhysicsInterface(PhysicsInterface* physicsInterface)
+{
+  this->interfaces->remove(physicsInterface);  
 }
 
@@ -114,5 +138,6 @@
   PRINT(0)("====================================\n");
   PRINT(0)(" reference: %p\n", this);
-  PRINT(0)(" numbers of Connections: %d\n", this->connections->getSize());
+  PRINT(0)(" number of Interfaces: %d\n", this->interfaces->getSize());
+  PRINT(0)(" number of Connections: %d\n", this->connections->getSize());
 
   PRINT(0)("==============================PHYS==\n");
Index: orxonox/trunk/src/lib/physics/physics_engine.h
===================================================================
--- orxonox/trunk/src/lib/physics/physics_engine.h	(revision 4391)
+++ orxonox/trunk/src/lib/physics/physics_engine.h	(revision 4392)
@@ -9,5 +9,7 @@
 
 #include "base_object.h"
+
 #include "physics_connection.h"
+#include "physics_interface.h"
 
 // Forward Declaration
@@ -22,8 +24,10 @@
   virtual ~PhysicsEngine(void);
 
+  void addPhysicsInterface(PhysicsInterface* physicsInterface);
+  void removePhysicsInterface(PhysicsInterface* physicsInterface);
+
+
   void addConnection(PhysicsConnection* connection);
   void removeConnection(PhysicsConnection* connection);
-  
-
 
   void tick(float dt);
@@ -33,7 +37,8 @@
  private:
   PhysicsEngine(void);
-  static PhysicsEngine* singletonRef;
+  static PhysicsEngine* singletonRef;      //!< the singleton reference of the PhysicsEngine
 
-  tList<PhysicsConnection>* connections;
+  tList<PhysicsInterface>* interfaces;     //!< a list of physically based objects
+  tList<PhysicsConnection>* connections;   //!< a list of physical connections
 };
 
Index: orxonox/trunk/src/lib/physics/physics_interface.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4391)
+++ orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4392)
@@ -21,4 +21,5 @@
 
 #include "physics_interface.h"
+#include "physics_engine.h"
 
 #include "field.h"
@@ -41,4 +42,6 @@
    this->massChildren = 0;
    this->forceSum = Vector(0, 0, 0);
+
+   PhysicsEngine::getInstance()->addPhysicsInterface(this);
 }
 
@@ -50,5 +53,5 @@
 PhysicsInterface::~PhysicsInterface () 
 {
-  // delete what has to be deleted here
+   PhysicsEngine::getInstance()->removePhysicsInterface(this);
 }
 
Index: orxonox/trunk/src/lib/tinyxml/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/tinyxml/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/lib/tinyxml/Makefile.in	(revision 4392)
@@ -204,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/subprojects/Makefile.in	(revision 4392)
@@ -186,7 +186,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4392)
@@ -229,7 +229,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4392)
@@ -228,7 +228,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4392)
@@ -257,7 +257,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4391)
+++ orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4392)
@@ -87,4 +87,5 @@
 	case SDLK_i:
 	  ParticleEngine::getInstance()->debug();
+	  PhysicsEngine::getInstance()->debug();
 	  break;
 	}
Index: orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4391)
+++ orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4392)
@@ -197,7 +197,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status