Index: orxonox/trunk/src/lib/graphics/particles/particle_system.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/particles/particle_system.cc	(revision 4394)
+++ orxonox/trunk/src/lib/graphics/particles/particle_system.cc	(revision 4395)
@@ -243,5 +243,5 @@
       // applying force to the System.
       if (likely (tickPart->mass > 0.0))
-	tickPart->velocity += tickPart->extForce / tickPart->mass;
+	tickPart->velocity += tickPart->extForce / tickPart->mass * dt;
 
       // rendering new position.
@@ -305,10 +305,10 @@
     \param dt The time over which the field gets applied
  */
-void ParticleSystem::applyField(Field* field, float dt)
+void ParticleSystem::applyField(Field* field)
 {
   Particle* tickPart = particles;
   while (tickPart)
     {
-      tickPart->extForce += field->calcForce(dt, tickPart->position);
+      tickPart->extForce += field->calcForce(tickPart->position);
       tickPart = tickPart->next;
     }
Index: orxonox/trunk/src/lib/graphics/particles/particle_system.h
===================================================================
--- orxonox/trunk/src/lib/graphics/particles/particle_system.h	(revision 4394)
+++ orxonox/trunk/src/lib/graphics/particles/particle_system.h	(revision 4395)
@@ -59,5 +59,6 @@
 //! A class to handle ParticleSystems
 class ParticleSystem : public PhysicsInterface {
-
+  friend class ParticleEmitter;
+  
  public:
   ParticleSystem(unsigned int maxCount = PARTICLE_DEFAULT_MAX_COUNT,
@@ -97,5 +98,5 @@
   inline float getMass(void) const { return this->initialMass; };
 
-  virtual void applyField(Field* field, float dt);
+  virtual void applyField(Field* field);
 
   void addParticle(const Vector& position, const Vector& velocity, unsigned int data = 0);
Index: orxonox/trunk/src/lib/physics/fields/field.h
===================================================================
--- orxonox/trunk/src/lib/physics/fields/field.h	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/field.h	(revision 4395)
@@ -43,5 +43,5 @@
       \returns The Force Vector
   */
-  virtual Vector calcForce(float dt, const Vector& data) const = 0;
+  virtual Vector calcForce(const Vector& data) const = 0;
 
   void setMagnitude(const float& magnitude);
Index: orxonox/trunk/src/lib/physics/fields/gravity.cc
===================================================================
--- orxonox/trunk/src/lib/physics/fields/gravity.cc	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/gravity.cc	(revision 4395)
@@ -45,7 +45,7 @@
    \returns The force.
 */
-Vector Gravity::calcForce(float dt, const Vector& data) const
+Vector Gravity::calcForce(const Vector& data) const
 {
-  return /*(this->getAbsDir().apply(Vector(0,1,0)))*/ Vector(0,-1,0) * this->getMagnitude() * dt;
+  return /*(this->getAbsDir().apply(Vector(0,1,0)))*/ Vector(0,-1,0) * this->getMagnitude();
 }
 
Index: orxonox/trunk/src/lib/physics/fields/gravity.h
===================================================================
--- orxonox/trunk/src/lib/physics/fields/gravity.h	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/gravity.h	(revision 4395)
@@ -21,5 +21,5 @@
   virtual ~Gravity();
 
-  virtual Vector calcForce(float dt, const Vector& data) const;
+  virtual Vector calcForce(const Vector& data) const;
 
  private:
Index: orxonox/trunk/src/lib/physics/fields/point_gravity.cc
===================================================================
--- orxonox/trunk/src/lib/physics/fields/point_gravity.cc	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/point_gravity.cc	(revision 4395)
@@ -45,7 +45,7 @@
    \returns The force.
 */
-Vector PointGravity::calcForce(float dt, const Vector& data) const
+Vector PointGravity::calcForce(const Vector& data) const
 {
-  return (this->getAbsCoor() - data) * this->getMagnitude() * dt;
+  return (this->getAbsCoor() - data) * this->getMagnitude();
 }
 
Index: orxonox/trunk/src/lib/physics/fields/point_gravity.h
===================================================================
--- orxonox/trunk/src/lib/physics/fields/point_gravity.h	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/point_gravity.h	(revision 4395)
@@ -21,5 +21,5 @@
   virtual ~PointGravity();
 
-  virtual Vector calcForce(float dt, const Vector& data) const;
+  virtual Vector calcForce(const Vector& data) const;
 
  private:
Index: orxonox/trunk/src/lib/physics/fields/twirl.cc
===================================================================
--- orxonox/trunk/src/lib/physics/fields/twirl.cc	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/twirl.cc	(revision 4395)
@@ -45,8 +45,8 @@
    \returns The force.
 */
-Vector Twirl::calcForce(float dt, const Vector& data) const
+Vector Twirl::calcForce(const Vector& data) const
 {
   return /*this->getAbsDir()*/ Vector(0,1,0).cross(this->getAbsCoor() - data)
-    * this->getMagnitude() * dt;
+    * this->getMagnitude();
 }
 
Index: orxonox/trunk/src/lib/physics/fields/twirl.h
===================================================================
--- orxonox/trunk/src/lib/physics/fields/twirl.h	(revision 4394)
+++ orxonox/trunk/src/lib/physics/fields/twirl.h	(revision 4395)
@@ -21,5 +21,5 @@
   virtual ~Twirl();
 
-  virtual Vector calcForce(float dt, const Vector& data) const;
+  virtual Vector calcForce(const Vector& data) const;
 
  private:
Index: orxonox/trunk/src/lib/physics/physics_connection.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4394)
+++ orxonox/trunk/src/lib/physics/physics_connection.cc	(revision 4395)
@@ -49,8 +49,8 @@
     \param dt The time to apply in Seconds
 */
-void PhysicsConnection::apply(const float& dt) const
+void PhysicsConnection::apply(void) const
 {
   if (likely(this->type == PCON_PhysIField && this->field->getMagnitude() != 0.0))
-      this->subject->applyField(this->field, dt);
+      this->subject->applyField(this->field);
   else ;
 }
Index: orxonox/trunk/src/lib/physics/physics_connection.h
===================================================================
--- orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4394)
+++ orxonox/trunk/src/lib/physics/physics_connection.h	(revision 4395)
@@ -30,5 +30,5 @@
   virtual ~PhysicsConnection();
 
-  void apply(const float& dt) const;
+  void apply(void) const;
 
  private:
Index: orxonox/trunk/src/lib/physics/physics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4394)
+++ orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4395)
@@ -144,5 +144,5 @@
   while (enumConn)
     {
-      enumConn->apply(dt);
+      enumConn->apply();
       enumConn = iterator->nextElement();
     }
Index: orxonox/trunk/src/lib/physics/physics_interface.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4394)
+++ orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4395)
@@ -88,5 +88,5 @@
 	
 	
-void PhysicsInterface::applyField(Field* field, float dt)
+void PhysicsInterface::applyField(Field* field)
 {
   //  this->forceSum += force;
Index: orxonox/trunk/src/lib/physics/physics_interface.h
===================================================================
--- orxonox/trunk/src/lib/physics/physics_interface.h	(revision 4394)
+++ orxonox/trunk/src/lib/physics/physics_interface.h	(revision 4395)
@@ -15,5 +15,10 @@
 //! A Physics interface
 /**
-   here can be some longer description of this class
+   The PhysicsInterface is an extension to Any other object,
+   that can be used to turn it to be Physcally animated.
+   Still you have to connect fields.
+   IMPORTANT is, that when using PNodes this baseclass is ok.
+   BUT, when using any other class that does not by itself implement
+   PNode you __MUST__ implement all the virtual functions by your own
 */
 class PhysicsInterface : virtual public BaseObject
@@ -30,9 +35,9 @@
   inline float getTotalMass( void ) const { return mass + massChildren; };
 
-  virtual void applyField(Field* field, float dt);
+  virtual void applyField(Field* field);
   virtual void tickPhys( float dt );
 
  protected:
-  void recalcMass();
+  virtual void recalcMass();
 
   