Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 4427)
+++ /orxonox/trunk/src/Makefile.am	(revision 4428)
@@ -1,31 +1,4 @@
 MAINSRCDIR=.
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/particles
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics/fields
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/event
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
+include $(MAINSRCDIR)/defs/include_paths.am
 
 
@@ -36,10 +9,10 @@
 bin_PROGRAMS = orxonox 
 
-orxonox_DEPENDENCIES = lib/gui/gui/libORXgui.a \
+orxonox_DEPENDENCIES = lib/gui/libORXgui.a \
 		       lib/physics/libORXphysics.a \
 		       lib/particles/libORXparticles.a \
 		       lib/tinyxml/libtinyxml.a 
 
-orxonox_LDADD = lib/gui/gui/libORXgui.a \
+orxonox_LDADD = lib/gui/libORXgui.a \
 		lib/physics/libORXphysics.a \
 		lib/particles/libORXparticles.a \
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 4427)
+++ /orxonox/trunk/src/Makefile.in	(revision 4428)
@@ -247,11 +247,10 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = .
-AM_CXXFLAGS = -I$(MAINSRCDIR) -I$(MAINSRCDIR)/world_entities -I$(MAINSRCDIR)/story_entities -I$(MAINSRCDIR)/lib -I$(MAINSRCDIR)/lib/coord -I$(MAINSRCDIR)/lib/data -I$(MAINSRCDIR)/lib/graphics -I$(MAINSRCDIR)/lib/graphics/importer -I$(MAINSRCDIR)/lib/particles -I$(MAINSRCDIR)/lib/gui -I$(MAINSRCDIR)/lib/lang -I$(MAINSRCDIR)/lib/util -I$(MAINSRCDIR)/lib/math -I$(MAINSRCDIR)/lib/tinyxml -I$(MAINSRCDIR)/lib/physics -I$(MAINSRCDIR)/lib/physics/fields -I$(MAINSRCDIR)/defs -I$(MAINSRCDIR)/font -I$(MAINSRCDIR)/network -I$(MAINSRCDIR)/glmenu -I$(MAINSRCDIR)/ai -I$(MAINSRCDIR)/util -I$(MAINSRCDIR)/util/animation -I$(MAINSRCDIR)/util/common -I$(MAINSRCDIR)/util/event -I$(MAINSRCDIR)/util/loading -I$(MAINSRCDIR)/util/track -I$(MAINSRCDIR)/subprojects
-orxonox_DEPENDENCIES = lib/gui/gui/libORXgui.a \
+orxonox_DEPENDENCIES = lib/gui/libORXgui.a \
 		       lib/physics/libORXphysics.a \
 		       lib/particles/libORXparticles.a \
 		       lib/tinyxml/libtinyxml.a 
 
-orxonox_LDADD = lib/gui/gui/libORXgui.a \
+orxonox_LDADD = lib/gui/libORXgui.a \
 		lib/physics/libORXphysics.a \
 		lib/particles/libORXparticles.a \
@@ -1707,4 +1706,5 @@
 	uninstall-binPROGRAMS uninstall-info-am
 
+include $(MAINSRCDIR)/defs/include_paths.am
 
 #  uncomment the following if orxonox requires the math library
Index: /orxonox/trunk/src/defs/include_paths.am
===================================================================
--- /orxonox/trunk/src/defs/include_paths.am	(revision 4428)
+++ /orxonox/trunk/src/defs/include_paths.am	(revision 4428)
@@ -0,0 +1,28 @@
+AM_CXXFLAGS=-I$(MAINSRCDIR)
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/particles
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics/fields
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/event
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
+AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
Index: /orxonox/trunk/src/lib/gui/Makefile.am
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.am	(revision 4427)
+++ /orxonox/trunk/src/lib/gui/Makefile.am	(revision 4428)
@@ -1,23 +1,4 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
+include $(MAINSRCDIR)/defs/include_paths.am
 
 AM_LDFLAGS=$(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
Index: /orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.in	(revision 4427)
+++ /orxonox/trunk/src/lib/gui/Makefile.in	(revision 4428)
@@ -197,5 +197,4 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-AM_CXXFLAGS = -I$(MAINSRCDIR) -I$(MAINSRCDIR)/world_entities -I$(MAINSRCDIR)/story_entities -I$(MAINSRCDIR)/lib -I$(MAINSRCDIR)/lib/coord -I$(MAINSRCDIR)/lib/data -I$(MAINSRCDIR)/lib/graphics -I$(MAINSRCDIR)/lib/graphics/importer -I$(MAINSRCDIR)/lib/gui -I$(MAINSRCDIR)/lib/lang -I$(MAINSRCDIR)/lib/util -I$(MAINSRCDIR)/lib/math -I$(MAINSRCDIR)/defs -I$(MAINSRCDIR)/font -I$(MAINSRCDIR)/network -I$(MAINSRCDIR)/glmenu -I$(MAINSRCDIR)/ai -I$(MAINSRCDIR)/util -I$(MAINSRCDIR)/util/animation -I$(MAINSRCDIR)/util/common
 AM_LDFLAGS = $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 noinst_LIBRARIES = libORXgui.a 
@@ -627,4 +626,5 @@
 	uninstall-am uninstall-info-am
 
+include $(MAINSRCDIR)/defs/include_paths.am
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
Index: /orxonox/trunk/src/lib/particles/Makefile.am
===================================================================
--- /orxonox/trunk/src/lib/particles/Makefile.am	(revision 4427)
+++ /orxonox/trunk/src/lib/particles/Makefile.am	(revision 4428)
@@ -1,32 +1,4 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/particles
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics/fields
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
-
+include $(MAINSRCDIR)/defs/include_paths.am
 
 noinst_LIBRARIES = libORXparticles.a 
Index: /orxonox/trunk/src/lib/physics/Makefile.am
===================================================================
--- /orxonox/trunk/src/lib/physics/Makefile.am	(revision 4427)
+++ /orxonox/trunk/src/lib/physics/Makefile.am	(revision 4428)
@@ -1,32 +1,4 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/particles
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics/fields
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
-
+include $(MAINSRCDIR)/defs/include_paths.am
 
 noinst_LIBRARIES = libORXphysics.a 
Index: /orxonox/trunk/src/lib/physics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/physics/Makefile.in	(revision 4427)
+++ /orxonox/trunk/src/lib/physics/Makefile.in	(revision 4428)
@@ -187,5 +187,4 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-AM_CXXFLAGS = -I$(MAINSRCDIR) -I$(MAINSRCDIR)/world_entities -I$(MAINSRCDIR)/story_entities -I$(MAINSRCDIR)/lib -I$(MAINSRCDIR)/lib/coord -I$(MAINSRCDIR)/lib/data -I$(MAINSRCDIR)/lib/graphics -I$(MAINSRCDIR)/lib/graphics/importer -I$(MAINSRCDIR)/lib/particles -I$(MAINSRCDIR)/lib/gui -I$(MAINSRCDIR)/lib/gui/gui -I$(MAINSRCDIR)/lib/lang -I$(MAINSRCDIR)/lib/util -I$(MAINSRCDIR)/lib/math -I$(MAINSRCDIR)/lib/physics -I$(MAINSRCDIR)/lib/physics/fields -I$(MAINSRCDIR)/lib/tinyxml -I$(MAINSRCDIR)/defs -I$(MAINSRCDIR)/font -I$(MAINSRCDIR)/network -I$(MAINSRCDIR)/glmenu -I$(MAINSRCDIR)/ai -I$(MAINSRCDIR)/util -I$(MAINSRCDIR)/util/animation -I$(MAINSRCDIR)/util/common -I$(MAINSRCDIR)/util/loading -I$(MAINSRCDIR)/util/track -I$(MAINSRCDIR)/subprojects
 noinst_LIBRARIES = libORXphysics.a 
 libORXphysics_a_SOURCES = physics_interface.cc \
@@ -505,4 +504,5 @@
 	uninstall-am uninstall-info-am
 
+include $(MAINSRCDIR)/defs/include_paths.am
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
Index: /orxonox/trunk/src/lib/tinyxml/Makefile.am
===================================================================
--- /orxonox/trunk/src/lib/tinyxml/Makefile.am	(revision 4427)
+++ /orxonox/trunk/src/lib/tinyxml/Makefile.am	(revision 4428)
@@ -1,2 +1,3 @@
+
 noinst_LIBRARIES = libtinyxml.a 
 