Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4416)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4429)
@@ -223,7 +223,7 @@
 particles_SOURCES = ../framework.cc \
 		   particle_fun.cc \
-		  $(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc \
-		  $(MAINSRCDIR)/lib/graphics/particles/particle_system.cc \
-		  $(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc \
+		  $(MAINSRCDIR)/lib/particles/particle_engine.cc \
+		  $(MAINSRCDIR)/lib/particles/particle_system.cc \
+		  $(MAINSRCDIR)/lib/particles/particle_emitter.cc \
 		  $(MAINSRCDIR)/lib/graphics/light.cc \
 		  $(MAINSRCDIR)/util/state.cc \
@@ -242,5 +242,5 @@
 		  $(MAINSRCDIR)/lib/coord/p_node.cc \
 		  $(MAINSRCDIR)/lib/coord/null_parent.cc \
-		  $(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc
+		  $(MAINSRCDIR)/lib/gui/gui_gtk.cc
 
 all: all-am
@@ -381,51 +381,51 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_fun.obj `if test -f 'particle_fun.cc'; then $(CYGPATH_W) 'particle_fun.cc'; else $(CYGPATH_W) '$(srcdir)/particle_fun.cc'; fi`
 
-particles-particle_engine.o: $(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_engine.o -MD -MP -MF "$(DEPDIR)/particles-particle_engine.Tpo" -c -o particles-particle_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc; \
+particles-particle_engine.o: $(MAINSRCDIR)/lib/particles/particle_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_engine.o -MD -MP -MF "$(DEPDIR)/particles-particle_engine.Tpo" -c -o particles-particle_engine.o `test -f '$(MAINSRCDIR)/lib/particles/particle_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/particles/particle_engine.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_engine.Tpo" "$(DEPDIR)/particles-particle_engine.Po"; else rm -f "$(DEPDIR)/particles-particle_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc' object='particles-particle_engine.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/particles/particle_engine.cc' object='particles-particle_engine.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_engine.Po' tmpdepfile='$(DEPDIR)/particles-particle_engine.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc
-
-particles-particle_engine.obj: $(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_engine.obj -MD -MP -MF "$(DEPDIR)/particles-particle_engine.Tpo" -c -o particles-particle_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_engine.o `test -f '$(MAINSRCDIR)/lib/particles/particle_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/particles/particle_engine.cc
+
+particles-particle_engine.obj: $(MAINSRCDIR)/lib/particles/particle_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_engine.obj -MD -MP -MF "$(DEPDIR)/particles-particle_engine.Tpo" -c -o particles-particle_engine.obj `if test -f '$(MAINSRCDIR)/lib/particles/particle_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/particles/particle_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/particles/particle_engine.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_engine.Tpo" "$(DEPDIR)/particles-particle_engine.Po"; else rm -f "$(DEPDIR)/particles-particle_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc' object='particles-particle_engine.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/particles/particle_engine.cc' object='particles-particle_engine.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_engine.Po' tmpdepfile='$(DEPDIR)/particles-particle_engine.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_engine.obj `if test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/particles/particle_engine.cc'; fi`
-
-particles-particle_system.o: $(MAINSRCDIR)/lib/graphics/particles/particle_system.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_system.o -MD -MP -MF "$(DEPDIR)/particles-particle_system.Tpo" -c -o particles-particle_system.o `test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_engine.obj `if test -f '$(MAINSRCDIR)/lib/particles/particle_engine.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/particles/particle_engine.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/particles/particle_engine.cc'; fi`
+
+particles-particle_system.o: $(MAINSRCDIR)/lib/particles/particle_system.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_system.o -MD -MP -MF "$(DEPDIR)/particles-particle_system.Tpo" -c -o particles-particle_system.o `test -f '$(MAINSRCDIR)/lib/particles/particle_system.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/particles/particle_system.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_system.Tpo" "$(DEPDIR)/particles-particle_system.Po"; else rm -f "$(DEPDIR)/particles-particle_system.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc' object='particles-particle_system.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/particles/particle_system.cc' object='particles-particle_system.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_system.Po' tmpdepfile='$(DEPDIR)/particles-particle_system.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_system.o `test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc
-
-particles-particle_system.obj: $(MAINSRCDIR)/lib/graphics/particles/particle_system.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_system.obj -MD -MP -MF "$(DEPDIR)/particles-particle_system.Tpo" -c -o particles-particle_system.obj `if test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_system.o `test -f '$(MAINSRCDIR)/lib/particles/particle_system.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/particles/particle_system.cc
+
+particles-particle_system.obj: $(MAINSRCDIR)/lib/particles/particle_system.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_system.obj -MD -MP -MF "$(DEPDIR)/particles-particle_system.Tpo" -c -o particles-particle_system.obj `if test -f '$(MAINSRCDIR)/lib/particles/particle_system.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/particles/particle_system.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/particles/particle_system.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_system.Tpo" "$(DEPDIR)/particles-particle_system.Po"; else rm -f "$(DEPDIR)/particles-particle_system.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc' object='particles-particle_system.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/particles/particle_system.cc' object='particles-particle_system.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_system.Po' tmpdepfile='$(DEPDIR)/particles-particle_system.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_system.obj `if test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/particles/particle_system.cc'; fi`
-
-particles-particle_emitter.o: $(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_emitter.o -MD -MP -MF "$(DEPDIR)/particles-particle_emitter.Tpo" -c -o particles-particle_emitter.o `test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_system.obj `if test -f '$(MAINSRCDIR)/lib/particles/particle_system.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/particles/particle_system.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/particles/particle_system.cc'; fi`
+
+particles-particle_emitter.o: $(MAINSRCDIR)/lib/particles/particle_emitter.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_emitter.o -MD -MP -MF "$(DEPDIR)/particles-particle_emitter.Tpo" -c -o particles-particle_emitter.o `test -f '$(MAINSRCDIR)/lib/particles/particle_emitter.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/particles/particle_emitter.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_emitter.Tpo" "$(DEPDIR)/particles-particle_emitter.Po"; else rm -f "$(DEPDIR)/particles-particle_emitter.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc' object='particles-particle_emitter.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/particles/particle_emitter.cc' object='particles-particle_emitter.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_emitter.Po' tmpdepfile='$(DEPDIR)/particles-particle_emitter.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_emitter.o `test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc
-
-particles-particle_emitter.obj: $(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_emitter.obj -MD -MP -MF "$(DEPDIR)/particles-particle_emitter.Tpo" -c -o particles-particle_emitter.obj `if test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_emitter.o `test -f '$(MAINSRCDIR)/lib/particles/particle_emitter.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/particles/particle_emitter.cc
+
+particles-particle_emitter.obj: $(MAINSRCDIR)/lib/particles/particle_emitter.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_emitter.obj -MD -MP -MF "$(DEPDIR)/particles-particle_emitter.Tpo" -c -o particles-particle_emitter.obj `if test -f '$(MAINSRCDIR)/lib/particles/particle_emitter.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/particles/particle_emitter.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/particles/particle_emitter.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_emitter.Tpo" "$(DEPDIR)/particles-particle_emitter.Po"; else rm -f "$(DEPDIR)/particles-particle_emitter.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc' object='particles-particle_emitter.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/particles/particle_emitter.cc' object='particles-particle_emitter.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_emitter.Po' tmpdepfile='$(DEPDIR)/particles-particle_emitter.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_emitter.obj `if test -f '$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/particles/particle_emitter.cc'; fi`
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_emitter.obj `if test -f '$(MAINSRCDIR)/lib/particles/particle_emitter.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/particles/particle_emitter.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/particles/particle_emitter.cc'; fi`
 
 particles-light.o: $(MAINSRCDIR)/lib/graphics/light.cc
@@ -685,19 +685,19 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-null_parent.obj `if test -f '$(MAINSRCDIR)/lib/coord/null_parent.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/coord/null_parent.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/coord/null_parent.cc'; fi`
 
-particles-gui_gtk.o: $(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.o -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc; \
+particles-gui_gtk.o: $(MAINSRCDIR)/lib/gui/gui_gtk.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.o -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gui_gtk.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-gui_gtk.Tpo" "$(DEPDIR)/particles-gui_gtk.Po"; else rm -f "$(DEPDIR)/particles-gui_gtk.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc' object='particles-gui_gtk.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gui_gtk.cc' object='particles-gui_gtk.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-gui_gtk.Po' tmpdepfile='$(DEPDIR)/particles-gui_gtk.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc
-
-particles-gui_gtk.obj: $(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.obj -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.o `test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/gui/gui_gtk.cc
+
+particles-gui_gtk.obj: $(MAINSRCDIR)/lib/gui/gui_gtk.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-gui_gtk.obj -MD -MP -MF "$(DEPDIR)/particles-gui_gtk.Tpo" -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-gui_gtk.Tpo" "$(DEPDIR)/particles-gui_gtk.Po"; else rm -f "$(DEPDIR)/particles-gui_gtk.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc' object='particles-gui_gtk.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/gui/gui_gtk.cc' object='particles-gui_gtk.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-gui_gtk.Po' tmpdepfile='$(DEPDIR)/particles-gui_gtk.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui/gui_gtk.cc'; fi`
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-gui_gtk.obj `if test -f '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/gui/gui_gtk.cc'; fi`
 uninstall-info-am:
 