Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/Makefile.in	(revision 4438)
@@ -426,7 +426,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/Makefile.in	(revision 4438)
@@ -185,7 +185,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/coord/pilot_node.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/pilot_node.cc	(revision 4437)
+++ /orxonox/trunk/src/lib/coord/pilot_node.cc	(revision 4438)
@@ -34,5 +34,5 @@
    this->setClassID(CL_PILOT_PARENT, "PilotNode");
 
-   travelSpeed = 60.0;
+   travelSpeed = 30.0;
    velocity = new Vector();
    bUp = bDown = bLeft = bRight = false;
@@ -66,23 +66,34 @@
   /* FIXME: calculating the direction and orthDirection every timeSlice is redundant! save it somewhere */
   /* calculate the direction in which the craft is heading  */
-  Vector direction (1.0, 0.0, 0.0);
+  //Vector direction (1.0, 0.0, 0.0);
   //direction = this->absDirection.apply (direction);
-  Vector orthDirection (0.0, 0.0, 1.0);
+  //Vector orthDirection (0.0, 0.0, 1.0);
   //orthDirection = orthDirection.cross (direction);
 
-  if( this->bUp)
-    accel = accel+(direction*acceleration);
-  if( this->bDown)
-    accel = accel -(direction*acceleration);
-  if( this->bLeft)
-    accel = accel - (orthDirection*acceleration); 
-  if( this->bRight)
-    accel = accel + (orthDirection*acceleration);
+   Quaternion q = this->getAbsDir();
+   Vector direction(1,0,0);
+   direction = q.apply(direction);
 
-  Vector move = accel * time;
-  this->shiftCoor (move);
+   
 
-  Quaternion q1(M_PI/4 * this->pitch/400.0, Vector(1,0,0));
-  this->shiftDir(q1);
+   Vector orthDirection(0,0,1);
+   orthDirection = q.apply(orthDirection);
+   
+   if( this->bUp)
+     accel = accel+(direction*acceleration);
+   if( this->bDown)
+     accel = accel -(direction*acceleration);
+   if( this->bLeft)
+     accel = accel - (orthDirection*acceleration); 
+   if( this->bRight)
+     accel = accel + (orthDirection*acceleration);
+   
+   Vector move = accel * time;
+   this->shiftCoor (move);
+   
+   Quaternion q1(-M_PI/4 * this->roll/40000.0, Vector(0,0,1));
+   Quaternion q2(-M_PI/4 * this->pitch/30000.0, Vector(0,1,0));
+   //this->shiftDir(q1*q2);
+   this->shiftDir(q1*q2);
 }
 
@@ -108,6 +119,4 @@
   else if( event.type == EV_MOUSE_MOTION)
     {
-      PRINTF(0)("Mouse moved by %d,%d to (%d,%d)\n", event.xRel, event.yRel,
-	    event.x, event.y);
       this->pitch = event.x - 400;
       this->roll = event.y - 300;
Index: /orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4438)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4438)
@@ -181,7 +181,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/gui/Makefile.in	(revision 4438)
@@ -241,7 +241,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/particles/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/particles/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/particles/Makefile.in	(revision 4438)
@@ -209,7 +209,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/particles/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/physics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/physics/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/physics/Makefile.in	(revision 4438)
@@ -217,7 +217,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/physics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/physics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/tinyxml/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/tinyxml/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/lib/tinyxml/Makefile.in	(revision 4438)
@@ -204,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 4437)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 4438)
@@ -645,5 +645,5 @@
 	this->pilotNode->addChild(this->localPlayer);
 	this->pilotNode->addChild(this->localCamera);
-	this->localCamera->lookAt(this->pilotNode);
+	this->localCamera->lookAt(this->localPlayer);
 
 	this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_UP);
Index: /orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/subprojects/Makefile.in	(revision 4438)
@@ -186,7 +186,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4438)
@@ -229,7 +229,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4438)
@@ -228,7 +228,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4438)
@@ -257,7 +257,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4437)
+++ /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4438)
@@ -197,7 +197,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status