Index: /data/trunk/scripts/attractor.lua
===================================================================
--- /data/trunk/scripts/attractor.lua	(revision 4441)
+++ /data/trunk/scripts/attractor.lua	(revision 4442)
@@ -1,26 +1,26 @@
--- Register Classes to use
-thisscript:registerClass("AttractorMine")
-thisscript:registerClass("ScriptTrigger")
-
 -- Create the trigger
 trigger = ScriptTrigger()
 trigger:setScript("attractor.lua")
 trigger:setFunction("tick")
-trigger:setAbsCoor(-84, 19, 77)
+trigger:setAbsCoor(440, 35, 0)
 trigger:setTarget("Player")
-trigger:setRadius(100)
+trigger:setRadius(20)
 trigger:setDebugDraw(true)
+trigger:setTriggerRemains(false)
 
 
 
-created = true
+--created = true
 function tick(timestep)
 
-if not created then
-am = AttractorMine()
-am:setAbsCoor(-84, 19, 77)
-created = true
-end
+io.write("Script called \n")
+
+--if not created then
+--am = AttractorMine()
+--am:setAbsCoor(-84, 19, 77)
+--created = true
+--end
 
 return false
 end
+ io.write("script generated\n")
Index: /data/trunk/scripts/spaceship_tower.lua
===================================================================
--- /data/trunk/scripts/spaceship_tower.lua	(revision 4441)
+++ /data/trunk/scripts/spaceship_tower.lua	(revision 4442)
@@ -9,4 +9,5 @@
 thisscript:addObject("FPSPlayer", "Player")
 thisscript:addObject("GenericNPC", "pedestrianOne")
+thisscript:addObject("GenericNPC", "hangarguyOne")
 
 
@@ -70,4 +71,81 @@
 
 
+-- hangarguy
+hangarguy = { }
+--{
+
+ hangarguy.routeProgramed = false
+
+ function hangarguy:tick(timestep)
+  if not hangarguy.routeProgramed then
+
+hangarguyOne:walkTo( 4.520885, 35, -715.864136)
+hangarguyOne:walkTo( 4.436781, 35, -710.607483)
+hangarguyOne:walkTo( 4.271256, 35, -700.261902)
+hangarguyOne:walkTo( 4.108314, 35, -690.077698)
+hangarguyOne:walkTo( 2.860425, 35, -612.082458)
+hangarguyOne:walkTo( 2.336200, 35, -579.317566)
+hangarguyOne:walkTo( 19.468971, 35, -558.118713)
+hangarguyOne:walkTo( 58.664307, 35, -541.788879)
+hangarguyOne:walkTo( 102.207947, 35, -538.448669)
+hangarguyOne:walkTo( 148.613098, 35, -525.434814)
+hangarguyOne:walkTo( 194.356705, 35, -510.325592)
+hangarguyOne:walkTo( 241.033600, 35, -493.087036)
+hangarguyOne:walkTo( 280.100891, 35, -476.127960)
+hangarguyOne:walkTo( 317.930084, 35, -459.305878)
+hangarguyOne:walkTo( 352.476410, 35, -435.666595)
+hangarguyOne:walkTo( 372.327820, 35, -421.279785)
+hangarguyOne:walkTo( 399.971436, 35, -395.954559)
+hangarguyOne:walkTo( 416.877686, 35, -362.181549)
+hangarguyOne:walkTo( 432.721222, 35, -311.302490)
+hangarguyOne:walkTo( 469.218750, 35, -233.788040)
+hangarguyOne:walkTo( 487.923004, 35, -200.841125)
+hangarguyOne:walkTo( 506.862518, 35, -162.215515)
+hangarguyOne:walkTo( 529.612061, 35, -115.549751)
+hangarguyOne:walkTo( 542.065125, 35, -88.352898)
+hangarguyOne:walkTo( 558.192444, 35, -39.543404)
+hangarguyOne:walkTo( 559.105713, 35, -34.795399)
+hangarguyOne:walkTo( 563.437378, 35, -31.207838)
+hangarguyOne:walkTo( 575.247192, 35, -21.994106)
+hangarguyOne:walkTo( 590.928040, 35, -15.268648)
+hangarguyOne:walkTo( 660.693298, 35, -4.461691)
+hangarguyOne:walkTo( 666.650879, 35, -2.223409)
+hangarguyOne:walkTo( 668.187927, 35, 4.955472)
+hangarguyOne:walkTo( 671.830505, 35, 21.968117)
+hangarguyOne:walkTo( 675.100159, 35, 37.731144)
+hangarguyOne:walkTo( 677.764221, 35, 53.632107)
+hangarguyOne:walkTo( 677.170837, 35, 62.944923)
+hangarguyOne:walkTo( 675.125671, 35, 81.444199)
+hangarguyOne:walkTo( 674.070251, 35, 97.964783)
+hangarguyOne:walkTo( 674.865112, 35, 112.956894)
+hangarguyOne:walkTo( 683.106750, 35, 123.733559)
+hangarguyOne:walkTo( 697.092224, 35, 130.347214)
+hangarguyOne:walkTo( 711.597778, 35, 134.194839)
+hangarguyOne:walkTo( 731.452209, 35, 133.556061)
+hangarguyOne:walkTo( 744.283691, 35, 127.194984)
+hangarguyOne:walkTo( 754.862183, 35, 113.226959)
+hangarguyOne:walkTo( 759.921082, 35, 101.175034)
+hangarguyOne:walkTo( 765.828674, 35, 86.496742)
+hangarguyOne:walkTo( 772.430176, 35, 70.094063)
+hangarguyOne:walkTo( 778.920776, 35, 53.967388)
+hangarguyOne:walkTo( 786.386292, 35, 36.463428)
+hangarguyOne:walkTo( 806.520142, 35, 25.996820)
+hangarguyOne:walkTo( 867.622192, 35, 17.105639)
+hangarguyOne:walkTo( 897.198181, 35, 13.109496)
+hangarguyOne:walkTo( 929.129517, 35, 9.825047)
+hangarguyOne:walkTo( 987.034302, 35, 6.972207)
+hangarguyOne:walkTo( 1040.090698, 35, 5.634526)
+hangarguyOne:walkTo( 1095.084595, 35, 6.542047)
+hangarguyOne:walkTo( 1137.440552, 35, 8.371919)
+hangarguyOne:walkTo( 1180.903564, 35, 11.816477)
+
+    hangarguy.routeProgramed = true
+
+  end
+
+ end
+
+--}
+
 
 
@@ -78,4 +156,5 @@
 
 pedestrian:tick(timestep)
+hangarguy:tick(timestep)
 
 return false